package de.oaa.xxx.games.chastity.lockcontroll;

public abstract class LockControl {

	protected final LockControlCallback callback;
	
	public LockControl(LockControlCallback callback) {
		this.callback = callback;
	}
	
	public abstract boolean init();

	public abstract boolean unlock();
	
	public abstract boolean lock();
	
	public abstract boolean cleanup();
}
